Skip to main content
PATCH
/
v1
/
task-types
/
{id}
Update a task type
curl --request PATCH \
  --url https://api.vendaze.com/v1/task-types/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "Phone Call",
  "color": "#10b981",
  "key": "phone_call"
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "title": "Call",
    "color": "#463dfb",
    "key": "call",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

OAuth 2.1 access token.

Path Parameters

id
string<uuid>
required

UUID of the resource.

Body

application/json

All fields are optional. Only fields included in the body are modified.

title
string

New display name.

Required string length: 1 - 40
Example:

"Phone Call"

color
string

New display color in hex RGB format.

Pattern: ^#[0-9a-fA-F]{6}$
Example:

"#10b981"

key
string

New identifier key. Lowercase letters, digits, and underscores only.

Required string length: 1 - 40
Pattern: ^[a-z0-9]+(_[a-z0-9]+)*$
Example:

"phone_call"

Response

Task type updated successfully.

data
object